debug:
  stage: build
  script:
    # https://docs.gitlab.com/ee/ci/variables/#list-all-environment-variables
    - export

successful-test:
  stage: test
  script:
    - echo "This job succeeds"

failed-test:
  stage: test
  script:
    - echo "This job fails"; false

unreachable:
  stage: deploy
  script:
    - echo "Unreachable"
